BizKitHub
DocsAPI ReferenceTeam Chat/bff/team-chat/open-direct
postTeam ChatAdmin BFF

/bff/team-chat/open-direct

Open (get or create) a 1:1 room, or the self room when userId is the caller

Team chatpostBffTeam-chatOpen-direct

Parameters

JSON body

Request body

application/json
userIdstringRequired

User wire id (cas__user.external_id).

Length: 1–32

Response schema

1 status code documented

200Success
idstringRequired

Response example

application/json
{
  "id": "example_id"
}

Request example

POST /bff/team-chat/open-direct

post
curl -X POST "https://api.bizkithub.com/bff/team-chat/open-direct" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "userId": "example_userId"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key